package com.pj.tb_demand_quotation;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import com.pj.current.satoken.StpUserUtil;
import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: tb_demand_quotation -- 一级市场组长需求抢购表
 * @author yzs 
 */
@RestController
@RequestMapping("/TbDemandQuotation/")
public class TbDemandQuotationController {

	/** 底层 Service 对象 */
	@Autowired
	TbDemandQuotationService tbDemandQuotationService;

	/** 增 */  
	@RequestMapping("add")
//	@SaCheckPermission(TbDemandQuotation.PERMISSION_CODE_ADD)
	public AjaxJson add(TbDemandQuotation t){
		tbDemandQuotationService.add(t);
		t = tbDemandQuotationService.getById(SP.publicMapper.getPrimarykey());
		return AjaxJson.getSuccessData(t);
	}

	/** 删 */  
	@RequestMapping("delete")
//	@SaCheckPermission(TbDemandQuotation.PERMISSION_CODE_DEL)
	public AjaxJson delete(Long id){
		 tbDemandQuotationService.delete(id);
		return AjaxJson.getSuccess();
	}
	
	/** 删 - 根据id列表 */  
	@RequestMapping("deleteByIds")
//	@SaCheckPermission(TbDemandQuotation.PERMISSION_CODE_DEL)
	public AjaxJson deleteByIds(){
		List<Long> ids = SoMap.getRequestSoMap().getListByComma("ids", long.class); 
		int line = SP.publicMapper.deleteByIds(TbDemandQuotation.TABLE_NAME, ids);
		return AjaxJson.getByLine(line);
	}
	
	/** 改 */  
	@RequestMapping("update")
//	@SaCheckPermission(TbDemandQuotation.PERMISSION_CODE_EDIT)
	public AjaxJson update(TbDemandQuotation t){
		tbDemandQuotationService.update(t);
		return AjaxJson.getSuccess();
	}

	/** 查 - 根据id */  
	@RequestMapping("getById")
//		@SaCheckPermission(TbDemandQuotation.PERMISSION_CODE)
	public AjaxJson getById(Long id){
		TbDemandQuotation t = tbDemandQuotationService.getById(id);
		return AjaxJson.getSuccessData(t);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	@RequestMapping("getList")
//		@SaCheckPermission(TbDemandQuotation.PERMISSION_CODE)
	public AjaxJson getList() { 
		SoMap so = SoMap.getRequestSoMap();
		List<TbDemandQuotation> list = tbDemandQuotationService.getList(so.startPage());
		return AjaxJson.getPageData(so.getDataCount(), list);
	}
	
	
//
	

	
	
	

}
